Ciscoworks Software Management

Unanswered Question
Mar 12th, 2010

LMS 2.6 on A Windows 2003 platform

3.0.5 common services

4.0.6 campus manager

6.1.5 Ciscoview

2.0.6 DFM

2.6.0 IPM

4.0.5 RME

I am trying to use RME to collect IOS's from the devices on my network.

Catalyst 6000 Series - Sup 720 - works

WS-C3750G-24TS - Fails

WS-C2960-48TC-L - Fails

PIX 515e  - Fails

I have checked the following link and see that some of my devices are on the list

http://www.cisco.com/en/US/docs/net_mgmt/ciscoworks_resource_manager_essentials/4.0.5/device_support/table/RME405.html#wp301687

I normally get a SWIM0036 although the Sup 720 IOS is on the list and the collection always works

Any ideas, whether these devices are just not supported. Is the only way to I can collect the IOSs to upgrade my current version of CW or is there a patch/update that I can apply which will allow my version of RME to collect the IOS?

Thanks

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Joe Clarke Fri, 03/12/2010 - 11:05

Yes, these devices are supported for image import, but there are not enough details to know why this is failing.  Post the swim_debug.log from an import job which failed.

francisfox Wed, 03/17/2010 - 06:07

The issue was a configuration problem but I am still having a number of issues getting my IOS upgrade out to the target devices

I am using SCP and SSH - I can collect the IOS from the devices now without any problem

However the following happens when I try and upgrade a 3750 or a 3825

1. Files are collected by RME and dropped into the job directory

2. The flash is erased and the new IOS fails to be put onto the flash SWIM1124

3. End result is a device with no IOS

More interesting is that I can log onto the device using SSH and delete the IOS image then use PCSP to push the new IOS onto the flash from the same server where Ciscoworks is installed. A reboot and I am where I want to be

I have no idea what I am missing, as I can get the IOS, why can I not update it. What exactly are the prerequisities for software upgrades to work

Do I need a RW SNMP community string on the target?

What is Ciscoworks trying to do that differs from my method

I would much rather use the centralized repository of Ciscoworks

Thanks

Joe Clarke Fri, 03/19/2010 - 10:19

Using SCP to upgrade a 3750 will not work correctly prior to RME 4.3.  The reason for this is that RME uses the device as an SCP server, and tar images cannot be deployed correctly when the device is used as an SCP server.  The 3825 should work, however.

I cannot say exactly why your job is failing without seeing the logs.  However, the error SWIM1124 refers to a copy FROM flash problem, not a copy TO flash problem.  Is this really the error you're seeing when you do the upgrade?

RME does a lot of additional verification to make sure the device supports the requested image (i.e. there is enough flash and RAM), and that the copy is performed correctly.  No, an SNMP read-write community string is not required for a deployment.  It is required to reboot the device after the image is deployed, however.

Actions

This Discussion